      program fitecarea
	dimension xx(20),dx(20),dy(10),zz(10),ylon(10)
	CHARACTER*30 outfile
	outfile='fitecarea.txt'
	OPEN(10,file=outfile,access='APPEND')
C ntus:
   30 format(' ntus:',3(1X,F7.2))
   31 format(1X,F5.1,7(1X,F7.2))
      glon=103.68
	gmodip=-15.4
c+	ut=5.00
      ut=17.00
c+      x0=0.5
c+	y0=-0.223
c+	z0=16.483
c+	a1=-0.0516
c+	b1=0.301
      x0=1.78
	y0=1.086
	z0=1.698
	a1=-0.0531
	b1=-0.1484
	write(*,30) glon,gmodip,UT
	write(10,30) glon,gmodip,UT
C
	xmod=-32.
	do i=1,17
	xmod=xmod+2.0
	xx(i)=xmod
	dx(i)=xmod-gmodip
	enddo
C
	 ylong=96.
	do i=1,7
	ylong=ylong+2.
	ylon(i)=ylong
      dy(i)=ylong-glon
	enddo
      write(*,31) UT,(ylon(k),k=1,7)
	write(10,31) UT,(ylon(k),k=1,7)
C
C/        zres=z0
       DO 10 jj=1,17
	zrez=z0+a1*dx(jj)
	zglon=zrez
	   DO kk=1,7
	zz(kk)=zglon+b1*dy(kk)
	ENDDO
	write(*,31) xx(jj),(zz(k),k=1,7)
	write(10,31) xx(jj),(zz(k),k=1,7)
   10	CONTINUE
      close(unit=10)
	pause ' '
	STOP
	END


